Set $wgArticleCountMethod to 'any' for plwikisource
Closed, ResolvedPublic

Description

plwikisource community requests to set $wgArticleCountMethod variable to 'any', that all pages will be considered as valid articles in a content namespaces.
A discussion and community consensus: Pulpit_techniczny#Zmiana_konfiguracji

Please, run the maintenance/updateArticleCount.php script to update the existing count after the changes.

Thanks,

Z.

Zdzislaw created this task.Apr 4 2016, 4:56 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptApr 4 2016, 4:56 PM
Dereckson triaged this task as Low priority.Apr 6 2016, 9:16 PM
Dereckson moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

Change 283349 had a related patch set uploaded (by Dereckson):
Consider all pages as valid content articles on pl.wikisource

https://gerrit.wikimedia.org/r/283349

Change 283349 merged by jenkins-bot:
Consider all pages as valid content articles on pl.wikisource

https://gerrit.wikimedia.org/r/283349

Mentioned in SAL [2016-04-13T23:23:08Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Consider all pages as valid content articles on pl.wikisource (Task T131771, [[Gerrit:283349]]) (duration: 00m 35s)

Dereckson closed this task as Resolved.Apr 13 2016, 11:25 PM

The number of articles has been updated.

dereckson@terbium:~$ mwscript updateArticleCount.php --wiki=plwikisource --update
Counting articles...found 384789.
Updating site statistics table... done.